Create a private location

Base URL
https://{kibana_url}
  • POST /api/synthetics/private_locations
  • POST /s/{space_id}/api/synthetics/private_locations
Auth

You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

agentPolicyId string required

The ID of the agent policy associated with the private location.

geo object

Geographic coordinates (WGS84) for the location.

lat number required

The latitude of the location.

lon number required

The longitude of the location.

label string required

A label for the private location.

spaces string[]

An array of space IDs where the private location is available. If it is not provided, the private location is available in all spaces.

tags string[]

An array of tags to categorize the private location.

Responses

A successful response.

application/json

Response Type: object

400

If the agentPolicyId is already used by an existing private location or if the label already exists, the API will return a 400 Bad Request response with a corresponding error message.

Base URL
https://{kibana_url}